Thread Verfasser: Silent Bob
Thread ID: 1875
Thread Info
Es gibt 2 Beiträge zu diesem Thema, und es wurde 262 Mal angesehen.
 Thema drucken
Update PHP Version auf 8.xx für Mod "Pimped Fusion"
Silent Bob
Hallo liebe Community,

ich betreibe seit Jahren eine Spiele-Fan Seite welche auf PHP Fusion Version 7.01.00 basiered unter dem Namen Pimped Fusion läuft ( Link zur letzten Version: https://sourceforge.net/projects/pimp...0Packages/ )

Nun stellt mein Hoster den support für die unterstütze PHP Version ( 5.3 ) ein bzw auf kostenpflichtigen Support um.

Meine Frage an die Community: kann man Pimped Fusion ( basierend auf PHP Fusion 7.01 ) so upgraden dass PHP 8.1 oder höher unterstützt wird?

Mein Wissen betreffend PHP Fusion ist leider auf absolutem Anfänger Level, die Webseite hatte 2011 ein Freund aufgesetzt.

Danke im Voraus für Eure Hilfe!
Information:
PHP Version: 7.0.x •  MySQL Version: Nicht ausgewählt •  PHP-Fusion: Nicht ausgewählt
 
Layzee
Ich kenne "Pimped Fusion" jetzt nicht im Detail und kann auch nicht sagen, welche Coredateien in welcher Art und Weise verändert wurden, aber die Basis 7.01 ist auch schon steinalt.
Um solche Systeme auf moderne und neue PHP-Versionen zu bringen braucht es mitunter eine Menge Arbeit und schlussendlich muss man auch den Sicherheits-Aspekt dabei im Auge behalten.

Genau das war und ist aber auch ein grosses Problem der "eigenen PHP-Fusion-Versionen". Famegeile Hobbyprogrammierer, die die kostenlose Basis von Fusion dazu nutzen, irgendwelche eigenen, "bessere" Versionen "auf den Markt" zu werfen. Manche dieser eigenen Versionen waren tatsächlich - zumindest in Teilen - "besser" als das Original, aber der bessere Weg wäre sicher gewesen, diese "Verbesserungen" in das Original zu übernehmen und damit die Basis weiter zu entwickeln, statt eigene kleine Brötchen zu backen.

Jetzt gibt es halt veraltete Versionen dieser Modifikationen, die nicht mehr weiterentwickelt werden.

Hilft dir in deinem Fall nicht weiter, aber du kannst dich mit deiner Frage im Grunde nur an den/die Entwickler von Pimped Fusion wenden.
Information:
PHP Version: 7.2.x •  MySQL Version: 8.0 •  PHP-Fusion: IUP-FIX-PHP8
 
Springe ins Forum: